> ## Documentation Index
> Fetch the complete documentation index at: https://developer.zilmoney.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Check

> Fetch the details of a single check using its unique ID.



## OpenAPI

````yaml GET /checks/{checkId}
openapi: 3.0.1
info:
  title: Online Check Writer API
  description: API documentation for creating checks.
  version: 1.0.0
servers:
  - url: https://test.onlinecheckwriter.com/api/v3
    description: Test server
  - url: https://app.onlinecheckwriter.com/api/v3
    description: Production server
security: []
paths:
  /checks/{checkId}:
    get:
      tags:
        - Checks
      summary: Retrieve a check
      description: Fetch the details of a single check using its unique ID.
      parameters:
        - name: checkId
          in: path
          description: The unique ID of the check to retrieve.
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful response with the details of the check.
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                  data:
                    type: object
                    properties:
                      checkId:
                        type: string
                      serialNumber:
                        type: string
                      amount:
                        type: number
                      amountInWord:
                        type: string
                      date:
                        type: string
                        format: date
                      status:
                        type: integer
                      memo:
                        type: string
                        nullable: true
                      accountNumber:
                        type: string
                        nullable: true
                      invoiceNumber:
                        type: string
                        nullable: true
                      referenceId:
                        type: string
                        nullable: true
                      bankAccount:
                        type: object
                        properties:
                          bankAccountId:
                            type: string
                          name:
                            type: string
                      payee:
                        type: object
                        properties:
                          payeeId:
                            type: string
                          name:
                            type: string
                      checkStatus:
                        type: object
                        properties:
                          status:
                            type: integer
                          description:
                            type: string
                      checkStatements:
                        type: array
                        items:
                          type: object
                          properties:
                            status:
                              type: string
                            date:
                              type: string
                              format: date
                            time:
                              type: string
              examples:
                exampleResponse:
                  value:
                    success: true
                    data:
                      checkId: kWx8eP3l60GK2Xz
                      serialNumber: '2'
                      amount: 12
                      amountInWord: twelve
                      date: '2024-11-18'
                      status: 0
                      memo: null
                      accountNumber: null
                      invoiceNumber: null
                      referenceId: null
                      bankAccount:
                        bankAccountId: 6gYVewBOP7Gdx7b
                        name: Demo Bank
                      payee:
                        payeeId: 1ZoVelyDaQj8pwb
                        name: John Doe
                      checkStatus:
                        status: 0
                        description: New
                      checkStatements:
                        - status: created
                          date: '2024-11-18'
                          time: 04:15 pm
        '401':
          description: Unauthorized. Missing or invalid token.
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: Unauthenticated.
        '404':
          description: Check not found.
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                  errorMsg:
                    type: string
                    example: This check not found
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````